Bug 492879 - installing eclipse-phpeclipse.i386 0:1.2.1-2.fc10 crashes jdt code templates
installing eclipse-phpeclipse.i386 0:1.2.1-2.fc10 crashes jdt code templates
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: eclipse-phpeclipse (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Mat Booth
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-30 10:24 EDT by Suhan Andrei
Modified: 2009-12-18 04:09 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:09:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Procedure A results (63.48 KB, image/jpeg)
2009-03-30 10:24 EDT, Suhan Andrei
no flags Details
Stack Trace (27.66 KB, text/plain)
2009-03-30 18:22 EDT, Mat Booth
no flags Details

  None (edit)
Description Suhan Andrei 2009-03-30 10:24:51 EDT
Created attachment 337219 [details]
Procedure A results

Description of problem:
installing  eclipse-phpeclipse 0:1.2.1-2.fc10 crashes jdt code templates 
java.lang.NullPointer exception in JavaPlugin.java

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
Procedure A
1. install eclipse-phpeclipse
2. Eclipse->Window->Preferences->Java->Editor->Templates 
  
Procedure B
1. install eclipse-phpeclipse
2. Create new java project and try adding an interface, it will silently 
crash ( see workspace/.metadata/.log ) and the dialog will not close.

Actual results:
See attached image

Expected results:
we shall see the list of java code templates templates for procedure A
and a new empty interface for procedure B

Additional info:
removing eclipse-phpeclipse package fixes the problems.
Running as root all works ok.
Could reproduce both on i386 and x64 arch.
Comment 1 Andrew Overholt 2009-03-30 16:30:02 EDT
Rather than running as root which isn't recommended, try running eclipse from a terminal with "-clean" after installing PHPEclipse.  Make sure you have a clean installation before trying this (ie. no old stuff lying around in ~/.eclipse and rpm -qV on all eclipse packages gives no output).
Comment 2 Suhan Andrei 2009-03-30 17:07:23 EDT
I tried with removing both ~/.eclipse and ~/workspace I have used but same behaviour. Actually on one machine when I have installed Fedora 10 from beginning I added all related eclipse packages ( including phpeclipse ) and the problem shows up and manifests until removing phpeclipse.
Comment 3 Mat Booth 2009-03-30 18:22:59 EDT
Created attachment 337255 [details]
Stack Trace

You're not wrong, I can reproduce this. There's definitely something a bit fruity going on.

I will investigate...

For reference, I've attached the stack trace.
Comment 4 Andrew Overholt 2009-03-31 10:09:40 EDT
*Very* bizarre.  I wonder if somehow PHPEclipse is messing up the JDT because both of them are in dropins.  Are the JDT plugins still resolved when PHPEclipse is loaded?  Running eclipse with -console and typing "ss" into the OSGi console you get will list the resolved bundles.
Comment 5 Bug Zapper 2009-11-18 06:38:43 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-12-18 04:09:16 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.